SKYCAT(1)

NAME
skycat - A tool for displaying astronomical images and catalogs

SYNOPSIS
skycat filename -option value ...

DESCRIPTION
The ESO Skycat tool combines the image display capabilities of the RTD (Real-Time Display) with a set of classes for accessing astronomical catalogs locally and over the network using HTTP. The tool allows you to view FITS images from files or from the Digitized Sky Survey (DSS).

OPTIONS

-file filename
    Specify a FITS file to display. '-' means read the file from the standard input. The '-file' part is optional, so you can also simply specify a file name. Image compression and decompression is done automatically, based on the file name suffix: .gzfits or .gfits for GZIP compression, .hfits for H-compress, and .cfits for UNIX compression.

-cat bool
    If bool is 1, include 'Data-Servers' menu in the menubar (This is the default). The 'Data-Servers' menu gives you access to the ESO Archive extensions for browsing astronomical catalogs, plotting objects in the image window and getting images over the network from the image servers, such as the Digitized Sky server.

-rtd bool
    If bool is 1, include the Real-Time menu in the menubar (default is 0). The Real-Time menu gives you access to the VLT Real-Time Display features, such as camera control and rapid frames. To use these features, the rtdServer daemon must be running on the local host. A client application, linked with the Rtd image event library can then send images via shared memory to be displayed in rapid succession.

-float_panel bool
    If the option value is 1, the skycat info panel is put in a separate popup window, leaving more space for the image window (The default is off).

-panel_layout <saoimage | reverse | default>
    With this option you can change the order of the zoom and pan windows in the layout. The default layout is: zoom window on the left, info panel in the center and pan window right. If "-panel_layout saoimage" is specified, a layout similar to saoimage is used (info panel, pan window, zoom window). If "-panel_layout reverse" is specified, the order of the windows is the reverse of the default.

-remote bool
    If "-remote 1" is specified and a skycat process is already running, the existing skycat process is sent a message and asked to open a new window and the new skycat process exits immediately. This has the advantage of sharing the image colormap and using fewer system resources, however it depends on being able to use the Tcl send mechanism. For security reasons, Tcl send will not work if you are using "xhost" based X security. You need to use X-auth security. See the "Tcl/Tk Tools" book from O'Reilly for more on this topic.

-min_scale n

-max_scale n
    Specify the min and max scale values for the Magnification menu. Negative values shrink the image, positive values zoom in closer. The default values are -10 and 20.

-port portnum
    Specify a port number to use for the remote RTD socket interface. See the Rtd User's Guide for details on this socket based interface. By default, a port number is chosen automatically and written to the file ~/.rtd-remote.

-disp_image_icon bool
    If bool is 1 (default), display a miniature version of the image in the tool's icon window.

-default_cmap <cmap>
    Specify the default colormap. This should be one of the names listed in the 'Colors' popup window (default is 'real').

-default_itt <itt>
    Specify the default intensity transfer table. This should be one of the names listed in the 'Colors' popup window (default is 'ramp').

-colorramp_height <pixels>
    This option can be used to change the height of color bar (the widget at the bottom of the screen displaying the image colors).

-with_colorramp bool
    If bool is true, display the color bar (default).

-with_zoom_window bool
    If bool is true, display the zoom window (default).

-with_pan_window bool
    If bool is true, display the pan window (default).

-dozoom bool
    If bool is true, turn the zoom window on automatically (default).

MENU ITEMS

  File menu

Open...
    Open and display a (FITS) image file.

Reopen...
    Reload the image display after the image has changed on disk.

Save as...
    Save the current image to a file.

Save region as...
    Save a section of the current image to a file.

Print...
    Print the current image to a file or printer.

Clear
    Clear the image display.

New Window
    Display up a new main window.

Close
    Close the main window and exit if there are no more windows.

Exit
    Exit the application.

  View menu

Colors...
    Display a window for manipulating the image colormap.

Cut Levels...
    Display a window for manipulating the image cut levels.

Cuts...
    Display a graph of pixel values along a line drawn interactively over the image.

Pick Object...
    Select an object or star in the image and display statistics.

Fits Header...
    Display the FITS header for the current image.

Pixel Table...
    Display a table of pixel values surrounding the mouse cursor.

Magnification
    Set the magnification factor of the image display.

Hide Control Panel
    Toggle the visibility of the upper control panel

Hide Popup Windows
    Toggle the visibility of the popup windows.

  Graphics menu

Toolbox
    Display the line graphics toolbox.

Mode =>
    Select the drawing mode.

Width =>
    Set the line width for drawing.

Arrow =>
    Select the arrow mode for lines.

ArrorShape =>
    Select the arrow shape for lines.

Fill =>
    Select the fill color for drawing.

Outline =>
    Select the outline color for drawing.

Stipple =>
    Select the stipple pattern for filling objects.

Font =>
    Select the font to use for labels.

Smooth =>
    Set the smooth option for drawing polygons

Clear =>
    Delete graphic objects.

Delete =>
    Delete selected graphic objects.

Hide Graphics
    Toggle the visibility of the image line graphics

  Data-Servers

Catalogs =>
    Select a catalog from the menu.

Image Servers =>
    Select an image server from the menu.

Archives =>
    Select an archive from the menu.

Local Catalogs =>
    Select a local catalog from the menu.

  Real-time menu (displayed when -rtd 1 is specified)

Attach Camera
    Attach the real-time camera - start receiving images.

Detach Camera
    Detach the real-time camera - stop receiving images.

Set Camera...
    Set the real-time camera name.

Rapid Frame
    Create a rapid frame by interactively drawing a rectangle on the image.

  Help menu

About Skycat...
    Display a window with information about this Skycat version.

Help...
    Display information about Skycat in netscape (if netscape is available).

ENVIRONMENT VARIABLES

$SKYCAT_CONFIG
    If set, this is used as the URL to access the skycat configuration file, which contains the list of available catalogs and how to query them. By default, the configuration file is also searched for in $HOME/.skycat/skycat.cfg, and if that is not found, in the ESO default URL: http://archive.eso.org/skycat/skycat2.0.cfg.

$SKYCAT_PLUGIN
    If set, this variable should be a colon separated list of files or directories containing skycat plugins. A skycat plugin is a Tcl script that defines a Tcl proc to be called for each instance of the main window. The script is sourced before any windows are created and can also load shared libraries dynamically to add new features. See the Skycat User's Guide (ftp://ftp.archive.eso.org/pub/skycat/docs) for more information.

FILES
http://archive.eso.org/skycat/skycat2.0.cfg - default configuration file.

SEE ALSO
rtd(1)